﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QuickDish.Core;

internal class User
{
    public int Id { get; set; }
    public string Username { get; set; }
    public string PasswordHash { get; set; }

    public User(int id, string username, string passwordHash)
    {
        if (id <= 0)
            throw new ArgumentOutOfRangeException("User Id must be positiv", nameof(id));

        if (string.IsNullOrWhiteSpace(username))
            throw new ArgumentException("Username can't be empty", nameof(username));

        if (string.IsNullOrWhiteSpace(passwordHash))
            throw new ArgumentException("Password hash can't be empty", nameof(passwordHash));

        Id = id;
        Username = username;
        PasswordHash = passwordHash;
    }

}
